#
# Copyright (c) 2008-2018 Thierry Florac <tflorac AT ulthar.net>
# All Rights Reserved.
#
# This software is subject to the provisions of the Zope Public License,
# Version 2.1 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE.
#

__docformat__ = 'restructuredtext'


# import standard library

# import interfaces
from onf_website.skin.public.layer import IONFBaseLayer
from pyams_content.component.keynumber.portlet.interfaces import IKeyNumberPortletSettings
from pyams_portal.interfaces import IPortletRenderer, IPortalContext

# import packages
from onf_website.skin.public import owl_carousel_init, owl_navigation
from pyams_default_theme.component.keynumber.portlet import KeyNumberPortletHorizontalRenderer
from pyams_template.template import template_config
from pyams_utils.adapter import adapter_config
from zope.interface import Interface


@adapter_config(context=(IPortalContext, IONFBaseLayer, Interface, IKeyNumberPortletSettings),
                provides=IPortletRenderer)
@template_config(template='templates/keynumber-horizontal.pt', layer=IONFBaseLayer)
class ONFKeyNumberPortletHorizontalRenderer(KeyNumberPortletHorizontalRenderer):
    """Kye numbers portlet horizontal renderer"""

    resources = (owl_carousel_init, owl_navigation)
